From 85ef67a70fdb2112ab2b007ffe1630391ff4ab33 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 26 2020 01:51:35 +0000
Subject: [PATCH 1559/2232] Match the user's mut on slice error


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 0dbd45e..960c569 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -181,10 +181,14 @@ fn check_type_ref(cx: &mut Check, ty: &Ref) {
 fn check_type_slice_ref(cx: &mut Check, ty: &SliceRef) {
     match &ty.inner {
         Type::Ident(ident) if ident.rust == U8 => {}
-        _ => cx.error(
-            ty,
-            "only &[u8] and &mut [u8] are supported so far, not other slice types",
-        ),
+        _ => {
+            let mutable = if ty.mutable { "mut " } else { "" };
+            let msg = format!(
+                "only &{}[u8] is supported so far, not other slice types",
+                mutable,
+            );
+            cx.error(ty, msg);
+        }
     }
 }
 

